<?PHP
$_OPTIMIZATION["title"] = "Аккаунт - бонус каждый час";
$usid = $_SESSION["user_id"];
$uname = $_SESSION["user"];

# Настройки бонусов
$bonus_min = 80;
$bonus_max = 100;

?>




<div class="col-md-8">								<div class="s-bk-lf">
									<div class="title">Бонус каждый час</div>
								</div>
								<div class="silver-bk">


<br>
<img src="/img/silver.png" style="padding-right: 10px; width: 120px; float:left; margin-top:-20px;">

Бонус выдется 1 раз в  час. <BR />
Бонус выдается СЕРЕБРОМ на счет для покупок. <BR />
Сумма бонуса генерируется случайно от <b><?=$bonus_min;?></b> до <b><?=$bonus_max;?></b> СЕРЕБРА.
<BR /><BR />



<?PHP
$ddel = time() + 60*60 ;
$dadd = time();
$db->Query("SELECT COUNT(*) FROM db_bonus_list5 WHERE user_id = '$usid' AND date_del > '$dadd'");

$hide_form = false;

	if($db->FetchRow() == 0){
	
		# Выдача бонуса
		if(isset($_POST["bonus"])){
		
			$sum = rand($bonus_min, rand($bonus_min, $bonus_max) );
			
			# Зачилсяем юзверю
			$db->Query("UPDATE db_users_b SET money_b = money_b + '$sum' WHERE id = '$usid'");
			
			# Вносим запись в список бонусов
			
			
			$db->Query("INSERT INTO db_bonus_list5 (user, user_id, sum, date_add, date_del) VALUES ('$uname','$usid','$sum','$dadd','$ddel')");
			
			# Случайная очистка устаревших записей
			$db->Query("DELETE FROM db_bonus_list WHERE date_del < '$dadd'");
			
			echo "<center><font color = 'green'><b>На Ваш счет для покупок зачислен бонус в размере {$sum} СЕРЕБРА</b></font></center><BR />";
			
			$hide_form = true;
			
		}
			
			# Показывать или нет форму
			if(!$hide_form){
?>

<br>
<br>
<form action="" method="post">
<table width="330" border="0" align="center">
  <tbody><tr>
    <td align="center"></td>
  </tr>
  <tr>
    <td align="center"><input type="submit" name="bonus" value="Получить бонус" style="height: 30px; margin-top:10px;"></td>
  </tr>
</tbody></table>
</form>









<?PHP 

			}

	}else echo "<center><font color = 'red'><b>Вы уже получали бонус за последний час</b></font></center><BR />"; ?>



<table class="table" align="center" border="0" cellpadding="3" cellspacing="0" width="99%">

  <tr>
    <td colspan="5" align="center"><h4>Последние 50 бонусов</h4></td>
    </tr>
  <tr>
    <td align="center" class="m-tb">ID</td>
    <td align="center" class="m-tb">Пользователь</td>
	<td align="center" class="m-tb">Сумма</td>
	<td align="center" class="m-tb">Дата</td>
  </tr>
  <?PHP
  
  $db->Query("SELECT * FROM db_bonus_list5 ORDER BY id DESC LIMIT 50");
  
	if($db->NumRows() > 0){
  
  		while($bon = $db->FetchArray()){
		
		?>
		<tr class="htt">
    		<td align="center"><?=$bon["id"]; ?></td>
    		<td align="center"><?=$bon["user"]; ?></td>
    		<td align="center"><?=$bon["sum"]; ?></td>
			<td align="center"><?=date("d.m.Y",$bon["date_add"]); ?></td>
  		</tr>
		<?PHP
		
		}
  
	}else echo '<tr><td align="center" colspan="5">Нет записей</td></tr>'
  ?>

  
</table>
<br><br>
<div class="clr"></div>		
</div>


